WordPress.org

Ready to get started?Download WordPress

Forums

Collapse-O-Matic
Collapse o matic worked before, now it isn't (7 posts)

  1. SunnyDavis
    Member
    Posted 2 months ago #

    http://www.metronwa.com/expando/
    http://www.metronwa.com/serve/

    Thanks in advance for any help. I did not create this webpage but have just taken over support for it. I know that the collapse-o-matic plugin was working for a couple of years and just recently stopped working, I'm sorry that I can't say when it stopped working exactly, as I don't know. Within the past month or two?

    The first linked page is a very simple one I created to help troubleshoot. The only code on the page is this: [expand title="Displayed Title Goes Here"]Hidden content goes here[/expand] The second link is the actual page that it had been working on and now isn't.

    In troubleshooting I just un-installed and re-installed the plugin. The only thing that changed now is I am seeing class="collapseomatic " id="id8945" in front of the non-expanding titles now.

    Sorry, I'm kinda a newbie. Thanks again for any help!

    http://wordpress.org/plugins/jquery-collapse-o-matic/

  2. SunnyDavis
    Member
    Posted 2 months ago #

    I fixed the class="collapseomatic " id="id8945" problem by adding the "span" tag to the plugin's settings, so now I am back to what I was getting before I uninstalled and re-istalled the plugin.

    It's as if they are auto-expanding. Thinking this I set this option to true and false with no change [expand title="Little Metro" expanded="true"]Target Content[/expand]

    Thanks!

  3. SunnyDavis
    Member
    Posted 2 months ago #

    The answer is probably pretty easy, the website acts like the plugin isn't even there. I have checked to make sure the plugin is installed and activated. The website doesn't recognize the expand short codes.

    Thanks!

  4. Baden
    Member
    Plugin Author

    Posted 2 months ago #

    This is one of the most common issues we get. It has been answered over 20 times in the forum. One quick look at your source and you will see:

    <script type='text/javascript' src='http://www.metronwa.com/wp-content/themes/themetro/js/jquery-1.6.4.min.js?ver=1.6.4'></script>

    This is an ancient version of jQuery and is not supported since years. The reason it's there is because your theme has force loaded this old version of jQuery.

    To fix it, check your header.php and function.php files for this line and remove it. Also contact the theme developer and give them a heads up that 1998 called and they want there programming skills back.

    Let us know if you get it figured out.

  5. SunnyDavis
    Member
    Posted 2 months ago #

    Hi Baden, thanks so much for taking the time to answer me . I did search the forums for an answer, I guess I didn't use the correct search terms.

    I see the line you mentioned in the source. I did a search through my header.php and functions.php files and nothing returned matching.

    I did find this similar line in a different php file
    wp_register_script('jquery', get_bloginfo('template_url').'/js/jquery-1.6.4.min.js', false, '1.6.4');

    I tried removing that whole line and then things on the website stopped working so I put it back. Now I tried removing just the .'/js/jquery-1.6.4.min.js', false, '1.6.4') which apparently was a terrible idea because now our site is blank, and I can't get into the website editor either (also comes up blank) to put it back.

    So now i've totally broken it. newbies.

    Can anyone help?

  6. SunnyDavis
    Member
    Posted 2 months ago #

    We have got it all fixed now. Thanks so much for your advice!

    We removed that old version of jquery and all is now working and working better.

    thanks again for your time!!

  7. vrsioffice
    Member
    Posted 2 months ago #

    I am having the same issue and it is NOT the jquery version. (I have
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>) The plugin stopped working when I updated WordPress to the most recent version 3.8.1. Plugin has always worked in the past, it just stopped after update. Now text is permanently expanded and the controls to expand/collapse no longer work.

Reply

You must log in to post.

About this Plugin

About this Topic